#ifndef AutoboxSNR_included
#define AutoboxSNR_included

#include "AutoboxSNRData.h"

class Control;
class EMData;

class AutoboxSNR : public AutoboxSNRData {
    Q_OBJECT
	
	Control *target;
	EMData *map;
	float min,max,val[4];
	int x0,y0;

public:

    AutoboxSNR(QWidget* parent = NULL,const char* name = NULL);

    virtual ~AutoboxSNR();

	void setup(int x0,int y0,float min, float max, EMData *map, Control *tgt);

public slots:

	void Ok();
	void Cancel();
	void newVal(float f);
};
#endif // AutoboxSNR_included
