#include <cstdio>
#include <qapp.h>
#include "util.h"
#include "qutil.h"
#include "QTextBrowser2.h"
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include "EMData.h"


int main( int argc, char **argv )
{
QApplication a( argc, argv );
int i;

appinit(argc,argv);

EMQInit(&a);

return a.exec();
}


void fileserver() {
char *dstr = (char *)malloc(30);
int rv=-1;

int lsock = socket(AF_INET,SOCK_STREAM,0);
if (lsock==-1) error(ERR_EXIT,"Couldn't open socket!\n");
sockaddr_in *sa = (sockaddr_in *)malloc(sizeof(sockaddr_in));
int c=0;
while (rv) {
	c++;
	sa->sin_family=AF_INET;
	FSPORT=33333;
	sa->sin_port=htons(FSPORT);
	FSHOST=resolv();
	sa->sin_addr.s_addr=htonl(FSHOST);
	rv=bind(lsock,(sockaddr*)sa,sizeof(sockaddr_in));
	if (c==50) error(ERR_EXIT,"Couldn't bind socket");
}

fspid=fork();
if (!fspid) {  return; }

// ******
// Ok, this is the actual server
//
if (listen(lsock,256)) printf("ERROR: Cannot listen due to error %d\n",errno);

FSHOST=0;	//Necessary to prevent recursive lockup
while(1) {
	struct sockaddr_in sai;
	int sail=sizeof(sai);
	int conn = accept(lsock,(sockaddr *)&sai,(socklen_t*)&sail);

	if (debug) printf("Accepted connection %d\n",conn);
	
	// read the message parameters
	int type;
	sz=readsock(conn,&type,4);
	if (sz!=4) printf("Read error\n");

	if (type!=0) error(ERROR_EXIT,"UNKNOWN COMMAND");

	int imnum;
	sz=readsock(conn,&imnum,4);
	if (sz!=4) printf("Read error\n");

	

	close(conn);
	free(path);
}

}
