#include "config.h"
#include <stdio.h>
#include "util.h"
#include "qutil.h"
#include "qfile.h"
#include "QTextBrowser2.h"

#ifdef UBUNTU
	#include <qapplication.h>
#else	//UBUNTU
	#include "qapp.h"
#endif	//UBUNTU

int initdone=0;

int main( int argc, char **argv )
{
QFont *newdf;
QApplication a( argc, argv );
QTextBrowser2 *qtb;
int i;



appinit(argc,argv);

EMQInit(&a);

qtb=new QTextBrowser2;
QString st=EMDIR();
st+="/doc/toc.html";
qtb->setHome(st);
if (argc>1) {
	st=argv[1];
	if (!QFile::exists(st)) st=QString(EMDIR())+"/doc/"+argv[1];
	if (!QFile::exists(st)) st=QString(EMDIR())+"/doc/progs/"+argv[1];
}

a.setMainWidget(qtb);
qtb->resize(600,350);
qtb->show();
a.processEvents();
qtb->setLSource(st);
qtb->update();
return a.exec();

}
