#include <stdio.h>
#include <math.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
EMData r,d,*da;
int n;
float fda,fdx,fdy;
float ada,adx,ady;
float cs=0;

if (argc<3) { printf("Usage: align2d <reference> <input> [csym #]\n"); exit(0); }

if (argc==4) cs=atof(argv[3]);
if (cs==0) cs=1.0;
cs=360.0/cs;

n=fileCount(argv[2]);
r.readImage(argv[1],0);

printf("dx       \tdy       \tda\n");
for (int i=0; i<n; i++) {
	d.readImage(argv[2],i);
	da=d.RTFAlign(&r);
//	da->refineAlign(&r);
	sscanf(d.Name()," %f %f %f",&fdx,&fdy,&fda);
	ada=da->alt()*180.0/PI;
	ada=-fmod(ada,cs);
	if (ada<-.09) ada+=cs;
	adx=-da->Dx()*cos(ada*PI/180.0)-da->Dy()*sin(ada*PI/180.0);
	ady= da->Dx()*sin(ada*PI/180.0)-da->Dy()*cos(ada*PI/180.0);;
	delete da;

	printf("%1.1f -> %1.1f\t%1.1f -> %1.1f\t%1.1f -> %1.1f\t%4.1f %4.1f %4.1f\n",
		fdx,adx,fdy,ady,fda,ada,fdx-adx,fdy-ady,fda-ada);
}

}
