#include "D2Inspector.h"
#include "InspArea.h"
#include "InspAxis.h"
#include "InspPlot.h"
#include "qtabwidget.h"
//#include "qwidgetstack.h"
#define Inherited d2InspectorBase

D2Inspector::D2Inspector(QWidget* parent,const char* name):Inherited( parent, name ) {
	setCaption( "2D Plot Inspector" );

	InspArea *i0;
	InspAxis *i1;
	InspAxis *i2;
	InspPlot *i3;

	insp[0]=i0=new InspArea;
	insp[1]=i1=new InspAxis;
	insp[2]=i2=new InspAxis;
	insp[3]=i3=new InspPlot;
	i1->setAxis(0);
	i2->setAxis(1);
	tabs->addTab(i0,"Area");
	tabs->addTab(i1,"X Axis");
	tabs->addTab(i2,"Y Axis");
	tabs->addTab(i3,"Plot");

	//	stack->addWidget(i0,0);
	//	stack->addWidget(i1,1);
	//	stack->addWidget(i2,2);
	//	stack->addWidget(i3,3);

	ci=0;
	target=NULL;

	//	stack->setFrameStyle( QFrame::Panel | QFrame::Sunken );
}


D2Inspector::~D2Inspector() {
for (int i=0; i<4; i++) delete insp[i];
}

void D2Inspector::setTarget(Axes2d *t) {
    //   printf("setTarget was call\n");
if (target) disconnect(target,SIGNAL(changed()),this,SLOT(refresh()));
target= t;
// ci = tabs->currentPageIndex(); 
insp[ci]->setTarget(target);
connect(target,SIGNAL(changed()),this,SLOT(refresh()));
}

void D2Inspector::tabSel()
{
    ci= tabs->currentPageIndex();
    insp[ci]->setTarget(target);
    //    tabs->raiseWidget(ci);
}
