#include <stdlib.h>
#include <malloc.h>
#include <string.h>
#include <math.h>
#include "List.h"

#include "EMData.h"

main(int argc, char** argv)
{
	List *l;
	EMData *im1,*im2;
	float *d,s;
	int i,j;

	l=readImages(argv[1],-1,-1);  

	for (i=0; i<l->count(); i++) {
		im1=l->objectAt(i);
		im2=im1->copy();
		im2->radialAverage();

		s=im1->Sigma();		
		d=im1->getData();
		for (j=0; j<im1->xSize()*im1->ySize(); j++) d[j]+=grand(0,s*5.0);
		im1->doneData();


		im1->setTAlign(0,0,0);
		im1->transAlign(im2,0,1);
		printf("%d. %1.0f\t%1.0f\n",i,im1->Dx(),im1->Dy());

		im1->radialAverage();
		im1->writeIMAGIC("a.hed",-1);
		im2->writeIMAGIC("a.hed",-1);


	}

}
