
// Boost Includes ==============================================================
#include <boost/python.hpp>
#include <boost/cstdint.hpp>

// Includes ====================================================================
#include <XYData.h>

// Using =======================================================================
using namespace boost::python;

// Module ======================================================================
//BOOST_PYTHON_MODULE(libpyXYData)
void export_XYData()
{
    class_< XYData >("XYData", init<  >())
        .def(init< const XYData& >())
        .def("readFile", &XYData::readFile)
        .def("writeFile", &XYData::writeFile)
        .def("update", &XYData::update)
        .def("x", &XYData::x)
        .def("y", &XYData::y)
        .def("n", &XYData::n)
        .def("yatx", &XYData::yatx)
        .def("miny", &XYData::miny)
        .def("maxy", &XYData::maxy)
        .def("validx", &XYData::validx)
        .def("setN", &XYData::setN)
        .def("correlation", &XYData::correlation)
        .def("logy", &XYData::logy)
    ;

}

