// classesalign.C 8/99  Steve Ludtke

//N classesalign
//F This realigns class averages 
//1
//P <input>	Input classes file
//P <output>	Output
//U classesalign classes.1.hed aligned.hed
//D Pretty self explanatory.


#include <stdio.h>
#include <math.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
EMData r,d,*da;
int n;

appinit(argc,argv);

if (argc<3) { printf("Usage: classesalign <input> <output>\n"); exit(0); }

n=fileCount(argv[1]);

for (int i=0; i<n; i+=2) {
	r.readImage(argv[1],i);
	d.readImage(argv[1],i+1);
	da=d.RTFAlign(&r);
	r.writeIMAGIC(argv[2],i);
//	da->setRAlign(d.alt(),d.az(),0);
	da->writeIMAGIC(argv[2],i+1);
	delete da;
} 

}
