// proc2d.C 8/97  Steve Ludtke
// This program performs various processing operations on images and
// sets of images

#include <stdio.h>
#include <math.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
EMData *d,*sig,*av;
int n,i;
float *dp;

if (argc<3) { 
	printf("sigmaim <input images> <output>\n");
	exit(0); 
}

/*for (i=3; i<argc; i++) {	
	if (strncmp(argv[i],"center",6)==0) center=1;
	else if (strncmp(argv[i],"invert",6)==0) invert=1;
	else { printf("Unknown option %s\n",argv[i]); exit(1); }
}*/

n=fileCount(argv[1]);
if (n<2) { printf ("Need at least 2 images\n"); exit(1); }

d=new EMData;
for (i=0; i<n; i++) {
	d->readImage(argv[1],i);
	if (i==0) { sig=d->copy(0,0); sig->zero(); av=d->copy(0,0); av->zero(); } 
	d->normalize();
	av->add(d);
	d->mult(d);
	sig->add(d);
}
av->multConst(1.0/(float)n);
av->writeIMAGIC(argv[2],-1);

sig->multConst(1.0/(float)n);
av->mult(av);
av->multConst(-1.0);
sig->add(av);

sig->realFilter(10);	// takes sqrt
//sig->normalize();

sig->writeIMAGIC(argv[2],-1);

}
