#include <stdio.h>
#include <math.h>
#include <time.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
int i,j,k;
EMData *d;
float *dat,r;
long t;

if (argc!=2) { printf("tst.c\nUsage: tst <output file>\n"); exit(0); }

d=new EMData;
d->setSize(102,100,100);
d->setComplex(1);
d->setRI(1);

dat=d->getData();
for (i=0; i<102; i+=2) {
	for (j=0; j<100; j++) {
		for (k=0; k<100; k++) {
			r=sqrt((i/2)*(i/2)+(j-50)*(j-50)+(k-50)*(k-50));
			if (r>=50) dat[i+j*102+k*102*100]=0;
			else dat[i+j*102+k*102*100]=exp(-r*r/50.0);
			dat[i+j*102+k*102*100+1]=0;
		}
	}
}
d->doneData();
d->update();


d->writeMRC(argv[1]);
}
