#include "OneLiner.h"
#include "qlabel.h"

OneLiner::OneLiner( const char *prompt, const char *df, QWidget *parent, const char *name ) 
		: QDialog( parent, name, TRUE )
{
QLabel *text = new QLabel(prompt,this);

text->setAlignment(AlignHCenter);
text->setAutoResize(TRUE);
text->move(5,5);
resize(text->width()+10,text->height()+36);

edit=new QLineEdit(this);
edit->resize(text->width(),22);
edit->move(5,text->height()+10);
edit->setText(df);

connect(edit, SIGNAL(returnPressed()),SLOT(accept()));
}

/*
void OneLiner::getOneLine(QCString *ret, const char *prompt, const char *df, QWidget *parent) {
OneLiner box(prompt,df,parent);
//box.show();
box.edit->selectAll();
box.exec();

*ret=box.edit->text();

}*/

QString OneLiner::getOneLine(const char *prompt, const char *df, QWidget *parent) {
OneLiner box(prompt,df,parent);

box.edit->selectAll();
box.exec();

return box.edit->text();
}
