// converts footprint files to ascii for use with par3d

#include <stdio.h>
#include <math.h>
#include "EMData.h"
#include "List.h"
#include "util.h"

main(int argc, char *argv[]) {
FILE *in,*out;
char s[120];
int n1,n2,i,j;
float **data;

if (argc!=3) { printf("fp2ascii - convert footprint file to ascii\nUsage:  fp2ascii <input file> <output file>\n"); exit(0); }


in=fopen(argv[1],"r");
if (!in) exit(1);
out=fopen(argv[2],"w");
if (!out) exit(1);

fread(s,120,1,in);
fread(&n1,4,1,in);
fread(&n2,4,1,in);

data=(float **)malloc(sizeof(float *)*n2);
for (i=0; i<n2; i++) {
	data[i]=(float *)malloc(n1*sizeof(float)); 
	fread(data[i],4,n1,in);
}

for (i=0; i<n1; i++) {
	for (j=0; j<n2; j++) {
		fprintf(out,"%f%c",data[j][i],j==n2-1?'\n':'\t');
	}
}

fclose(in);
fclose(out);

}
